Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.definition
Class DefinitionCount

    java.lang.Object
      |
      +--com.bea.netuix.application.definition.DefinitionCount

public class DefinitionCount
extends Object

Constructor Summary
`DefinitionCount()`

Method Summary
`int` | `getBookDefinitionCount()`
`int` | `getLayoutDefinitionCount()`
`int` | `getLookAndFeelDefinitionCount()`
`int` | `getMenuDefinitionCount()`
`int` | `getPageDefinitionCount()`
`int` | `getPortletDefinitionCount()`
`int` | `getShellDefinitionCount()`
`int` | `getThemeDefinitionCount()`
`int` | `getTotalDefinitionCount()`
`void` | `setBookDefinitionCount(int bookDefinitionCount)`
`void` | `setLayoutDefinitionCount(int layoutDefintionCount)`
`void` | `setLookAndFeelDefinitionCount(int lookAndFeelDefinitionCount)`
`void` | `setMenuDefinitionCount(int menuDefinitionCount)`
`void` | `setPageDefinitionCount(int pageDefinitionCount)`
`void` | `setPortletDefinitionCount(int portletDefinitionCount)`
`void` | `setShellDefinitionCount(int shellDefinitionCount)`
`void` | `setThemeDefinitionCount(int themeDefinitionCount)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefinitionCount

    public DefinitionCount()

Method Detail

### getBookDefinitionCount

    public int getBookDefinitionCount()

### setBookDefinitionCount

    public void setBookDefinitionCount(int bookDefinitionCount)

### getLayoutDefinitionCount

    public int getLayoutDefinitionCount()

### setLayoutDefinitionCount

    public void setLayoutDefinitionCount(int layoutDefintionCount)

### getLookAndFeelDefinitionCount

    public int getLookAndFeelDefinitionCount()

### setLookAndFeelDefinitionCount

    public void setLookAndFeelDefinitionCount(int lookAndFeelDefinitionCount)

### getMenuDefinitionCount

    public int getMenuDefinitionCount()

### setMenuDefinitionCount

    public void setMenuDefinitionCount(int menuDefinitionCount)

### getPageDefinitionCount

    public int getPageDefinitionCount()

### setPageDefinitionCount

    public void setPageDefinitionCount(int pageDefinitionCount)

### getPortletDefinitionCount

    public int getPortletDefinitionCount()

### setPortletDefinitionCount

    public void setPortletDefinitionCount(int portletDefinitionCount)

### getShellDefinitionCount

    public int getShellDefinitionCount()

### setShellDefinitionCount

    public void setShellDefinitionCount(int shellDefinitionCount)

### getThemeDefinitionCount

    public int getThemeDefinitionCount()

### setThemeDefinitionCount

    public void setThemeDefinitionCount(int themeDefinitionCount)

### getTotalDefinitionCount

    public int getTotalDefinitionCount()

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved